petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESSetLagPreconditionerPersists

Set whether or not the preconditioner lagging persists through multiple solves

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetLagPreconditionerPersists(SNES snes,PetscBool flg)

Logically Collective on SNES

### Input Parameter

| snes | - the SNES context
| flg | - preconditioner lagging persists if true

### Options Database Keys

-snes_lag_jacobian_persists <flg> - Notes: This is useful both for nonlinear preconditioning, where it's appropriate to have the preconditioner be stale by several solves, and for implicit time-stepping, where preconditioner lagging in the inner nonlinear solve over several timesteps may present huge efficiency gains.

### See Also

SNESSetLagJacobianPersists(), SNESSetLagJacobian(), SNESGetLagJacobian(), SNESGetNPC()

### Level

developer

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages